/*
 * Copyright 2010 Trustees of the University of Pennsylvania Licensed under the
 * Educational Community License, Version 2.0 (the "License"); you may
 * not use this file except in compliance with the License. You may
 * obtain a copy of the License at
 *
 * http://www.osedu.org/licenses/ECL-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS"
 * BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */
package metridoc.plugins.load

import javax.sql.DataSource

import metridoc.dsl.JobRunner
import metridoc.plugins.camel.CamelPlugin
import metridoc.plugins.schema.SchemaPlugin
import metridoc.plugins.sql.SqlPlus
import metridoc.utils.Assert
import org.apache.camel.CamelContext
import org.apache.camel.Exchange
import org.slf4j.LoggerFactory
import org.springframework.core.io.ClassPathResource
import org.springframework.core.io.Resource

import org.apache.commons.lang.exception.ExceptionUtils

import metridoc.camel.impl.iterator.IteratorProviderFactory

/**
 * Created by IntelliJ IDEA.
 * User: tbarker
 * Date: 7/24/11
 * Time: 12:46 PM
 */
class LoadingPlugin {

    final static log = LoggerFactory.getLogger(LoadingPlugin.class)

    /**
     *
     * @param uri
     * @return the configuration which holds all configuration parameters and the dsl
     */
    LoadingPluginRunner loadFrom(String uri) {
        def loadingPluginRunner = new LoadingPluginRunner()
        loadingPluginRunner.consumeFrom = uri
        def runner = this as JobRunner
        loadingPluginRunner.services = runner.services
        def camelPlugin = this as CamelPlugin
        loadingPluginRunner.camelContext = camelPlugin.getCamelContext()

        return loadingPluginRunner
    }
}


